Magick::ColorMono Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorMono:
[legend]
Collaboration diagram for Magick::ColorMono:
[legend]

## Public Member Functions

| ColorMono (void)
| ColorMono (const bool mono_)
| ColorMono (const Color &color_)
| ~ColorMono ()
ColorMono & | operator= (const Color &color_)
void | mono (const bool mono_)
bool | mono (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions

| ColorMono (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members

Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 322 of file Color.h.

## Constructor & Destructor Documentation

## ColorMono() [1/4]

Magick::ColorMono::ColorMono | ( | void |  | ) |

Definition at line 739 of file Color.cpp.

## ColorMono() [2/4]

Magick::ColorMono::ColorMono | ( | const bool | mono_ | ) |

Definition at line 744 of file Color.cpp.

## ColorMono() [3/4]

Magick::ColorMono::ColorMono | ( | const Color & | color_ | ) |

Definition at line 750 of file Color.cpp.

## ~ColorMono()

Magick::ColorMono::~ColorMono | ( |  | ) |

Definition at line 755 of file Color.cpp.

## ColorMono() [4/4]

Magick::ColorMono::ColorMono | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |

protected

Definition at line 777 of file Color.cpp.

## Member Function Documentation

## mono() [1/2]

void Magick::ColorMono::mono | ( | const bool | mono_ | ) |

Definition at line 765 of file Color.cpp.

## mono() [2/2]

bool Magick::ColorMono::mono | ( | void |  | ) | const

Definition at line 772 of file Color.cpp.

## operator=()

Magick::ColorMono & Magick::ColorMono::operator= | ( | const Color & | color_ | ) |

Definition at line 759 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp